/*
 * Author: Heinz Mauelshagen, Germany
 *
 * March 1997
 * April 1998
 *
 * LVM is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * LVM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GNU CC; see the file COPYING.  If not, write to
 * the Free Software Foundation, 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA. 
 *
 */

/*
 * Changelog
 *
 *    04/30/1998 -- change to lv_status_byname()
 *
 */


#include <liblvm.h>

int lv_check_active ( char *vg_name, char *lv_name) {
   int ret = 0;
   lv_t *lv;

#ifdef DEBUG
   debug ( "lv_check_active -- CALLED\n");
#endif

   if ( vg_name == NULL || lv_name == NULL || lv_check_name ( lv_name) < 0)
      return -LVM_EPARA;

   if ( ( ret = lv_status_byname ( vg_name, lv_name, &lv)) < 0) return ret;
   if ( lv->lv_status & LV_ACTIVE) ret = TRUE;
   else                            ret = FALSE;

#ifdef DEBUG
   debug ( "lv_check_active -- LEAVING\n");
#endif
   return ret;
}
